# Firefox Backup

This script performs a backup (archiving) of Firefox profile to a backup directory (ideally located on a different volume). As its purpose is to be run at computer shutdown (see service file), it also removes, if it exists, the 10-day old archive.

### Files
* `firefox-backup.sh` performs a save of you Firefox profile.
* `variables.conf.templates` contains examples variables definitions, and should be copied locally to `variables.conf`
  (with any required modifications).
* `systemd-templates/` contains Systemd units templates for running the script unattended.
#### Installation
* `install.sh` copies Systemd templates to their destination, and enables backup for the user running the script.

### Notes
* If your backup directory is not on root volume, you may want to add a drop-in for the service unit, with
  `Requires=<mount-point>.mount`

### TODO
